/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital IdentityServer Admin Api INT
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { ApiResourceApiDto } from '../models';
// @ts-ignore
import { ApiResourcePropertiesApiDto } from '../models';
// @ts-ignore
import { ApiResourcePropertyApiDto } from '../models';
// @ts-ignore
import { ApiResourcesApiDto } from '../models';
// @ts-ignore
import { ApiSecretApiDto } from '../models';
// @ts-ignore
import { ApiSecretsApiDto } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
/**
 * ApiResourcesApi - axios parameter creator
 * @export
 */
export const ApiResourcesApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesGet: async (searchText?: string, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/ApiResources`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (searchText !== undefined) {
                localVarQueryParameter['searchText'] = searchText;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdDelete: async (id: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiApiResourcesIdDelete', 'id', id)
            const localVarPath = `/api/ApiResources/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdGet: async (id: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiApiResourcesIdGet', 'id', id)
            const localVarPath = `/api/ApiResources/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdPropertiesGet: async (id: number, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiApiResourcesIdPropertiesGet', 'id', id)
            const localVarPath = `/api/ApiResources/{id}/Properties`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {ApiResourcePropertyApiDto} [apiResourcePropertyApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdPropertiesPost: async (id: number, apiResourcePropertyApiDto?: ApiResourcePropertyApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiApiResourcesIdPropertiesPost', 'id', id)
            const localVarPath = `/api/ApiResources/{id}/Properties`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(apiResourcePropertyApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdSecretsGet: async (id: number, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiApiResourcesIdSecretsGet', 'id', id)
            const localVarPath = `/api/ApiResources/{id}/Secrets`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {ApiSecretApiDto} [apiSecretApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdSecretsPost: async (id: number, apiSecretApiDto?: ApiSecretApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiApiResourcesIdSecretsPost', 'id', id)
            const localVarPath = `/api/ApiResources/{id}/Secrets`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(apiSecretApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {ApiResourceApiDto} [apiResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesPost: async (apiResourceApiDto?: ApiResourceApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/ApiResources`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(apiResourceApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesPropertiesPropertyIdDelete: async (propertyId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'propertyId' is not null or undefined
            assertParamExists('apiApiResourcesPropertiesPropertyIdDelete', 'propertyId', propertyId)
            const localVarPath = `/api/ApiResources/Properties/{propertyId}`
                .replace(`{${"propertyId"}}`, encodeURIComponent(String(propertyId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesPropertiesPropertyIdGet: async (propertyId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'propertyId' is not null or undefined
            assertParamExists('apiApiResourcesPropertiesPropertyIdGet', 'propertyId', propertyId)
            const localVarPath = `/api/ApiResources/Properties/{propertyId}`
                .replace(`{${"propertyId"}}`, encodeURIComponent(String(propertyId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {ApiResourceApiDto} [apiResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesPut: async (apiResourceApiDto?: ApiResourceApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/ApiResources`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(apiResourceApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesSecretsSecretIdDelete: async (secretId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'secretId' is not null or undefined
            assertParamExists('apiApiResourcesSecretsSecretIdDelete', 'secretId', secretId)
            const localVarPath = `/api/ApiResources/Secrets/{secretId}`
                .replace(`{${"secretId"}}`, encodeURIComponent(String(secretId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesSecretsSecretIdGet: async (secretId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'secretId' is not null or undefined
            assertParamExists('apiApiResourcesSecretsSecretIdGet', 'secretId', secretId)
            const localVarPath = `/api/ApiResources/Secrets/{secretId}`
                .replace(`{${"secretId"}}`, encodeURIComponent(String(secretId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ApiResourcesApi - functional programming interface
 * @export
 */
export const ApiResourcesApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = ApiResourcesApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesGet(searchText?: string, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ApiResourcesApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesGet(searchText, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesIdDelete(id: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesIdDelete(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesIdGet(id: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ApiResourceApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesIdGet(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesIdPropertiesGet(id: number, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ApiResourcePropertiesApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesIdPropertiesGet(id, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {ApiResourcePropertyApiDto} [apiResourcePropertyApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesIdPropertiesPost(id: number, apiResourcePropertyApiDto?: ApiResourcePropertyApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesIdPropertiesPost(id, apiResourcePropertyApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesIdSecretsGet(id: number, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ApiSecretsApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesIdSecretsGet(id, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {ApiSecretApiDto} [apiSecretApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesIdSecretsPost(id: number, apiSecretApiDto?: ApiSecretApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesIdSecretsPost(id, apiSecretApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {ApiResourceApiDto} [apiResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesPost(apiResourceApiDto?: ApiResourceApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesPost(apiResourceApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesPropertiesPropertyIdDelete(propertyId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesPropertiesPropertyIdDelete(propertyId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesPropertiesPropertyIdGet(propertyId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ApiResourcePropertyApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesPropertiesPropertyIdGet(propertyId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {ApiResourceApiDto} [apiResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesPut(apiResourceApiDto?: ApiResourceApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesPut(apiResourceApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesSecretsSecretIdDelete(secretId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesSecretsSecretIdDelete(secretId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiApiResourcesSecretsSecretIdGet(secretId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ApiSecretApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiApiResourcesSecretsSecretIdGet(secretId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * ApiResourcesApi - factory interface
 * @export
 */
export const ApiResourcesApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = ApiResourcesApiFp(configuration)
    return {
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesGet(searchText?: string, page?: number, pageSize?: number, options?: any): AxiosPromise<ApiResourcesApiDto> {
            return localVarFp.apiApiResourcesGet(searchText, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdDelete(id: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiApiResourcesIdDelete(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdGet(id: number, options?: any): AxiosPromise<ApiResourceApiDto> {
            return localVarFp.apiApiResourcesIdGet(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdPropertiesGet(id: number, page?: number, pageSize?: number, options?: any): AxiosPromise<ApiResourcePropertiesApiDto> {
            return localVarFp.apiApiResourcesIdPropertiesGet(id, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {ApiResourcePropertyApiDto} [apiResourcePropertyApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdPropertiesPost(id: number, apiResourcePropertyApiDto?: ApiResourcePropertyApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiApiResourcesIdPropertiesPost(id, apiResourcePropertyApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdSecretsGet(id: number, page?: number, pageSize?: number, options?: any): AxiosPromise<ApiSecretsApiDto> {
            return localVarFp.apiApiResourcesIdSecretsGet(id, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {ApiSecretApiDto} [apiSecretApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesIdSecretsPost(id: number, apiSecretApiDto?: ApiSecretApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiApiResourcesIdSecretsPost(id, apiSecretApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {ApiResourceApiDto} [apiResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesPost(apiResourceApiDto?: ApiResourceApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiApiResourcesPost(apiResourceApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesPropertiesPropertyIdDelete(propertyId: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiApiResourcesPropertiesPropertyIdDelete(propertyId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesPropertiesPropertyIdGet(propertyId: number, options?: any): AxiosPromise<ApiResourcePropertyApiDto> {
            return localVarFp.apiApiResourcesPropertiesPropertyIdGet(propertyId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {ApiResourceApiDto} [apiResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesPut(apiResourceApiDto?: ApiResourceApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiApiResourcesPut(apiResourceApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesSecretsSecretIdDelete(secretId: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiApiResourcesSecretsSecretIdDelete(secretId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiApiResourcesSecretsSecretIdGet(secretId: number, options?: any): AxiosPromise<ApiSecretApiDto> {
            return localVarFp.apiApiResourcesSecretsSecretIdGet(secretId, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiApiResourcesGet operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesGetRequest
 */
export interface ApiResourcesApiApiApiResourcesGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ApiResourcesApiApiApiResourcesGet
     */
    readonly searchText?: string

    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiApiResourcesIdDelete operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesIdDeleteRequest
 */
export interface ApiResourcesApiApiApiResourcesIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdDelete
     */
    readonly id: number
}

/**
 * Request parameters for apiApiResourcesIdGet operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesIdGetRequest
 */
export interface ApiResourcesApiApiApiResourcesIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdGet
     */
    readonly id: number
}

/**
 * Request parameters for apiApiResourcesIdPropertiesGet operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesIdPropertiesGetRequest
 */
export interface ApiResourcesApiApiApiResourcesIdPropertiesGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdPropertiesGet
     */
    readonly id: number

    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdPropertiesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdPropertiesGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiApiResourcesIdPropertiesPost operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesIdPropertiesPostRequest
 */
export interface ApiResourcesApiApiApiResourcesIdPropertiesPostRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdPropertiesPost
     */
    readonly id: number

    /**
     * 
     * @type {ApiResourcePropertyApiDto}
     * @memberof ApiResourcesApiApiApiResourcesIdPropertiesPost
     */
    readonly apiResourcePropertyApiDto?: ApiResourcePropertyApiDto
}

/**
 * Request parameters for apiApiResourcesIdSecretsGet operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesIdSecretsGetRequest
 */
export interface ApiResourcesApiApiApiResourcesIdSecretsGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdSecretsGet
     */
    readonly id: number

    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdSecretsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdSecretsGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiApiResourcesIdSecretsPost operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesIdSecretsPostRequest
 */
export interface ApiResourcesApiApiApiResourcesIdSecretsPostRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesIdSecretsPost
     */
    readonly id: number

    /**
     * 
     * @type {ApiSecretApiDto}
     * @memberof ApiResourcesApiApiApiResourcesIdSecretsPost
     */
    readonly apiSecretApiDto?: ApiSecretApiDto
}

/**
 * Request parameters for apiApiResourcesPost operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesPostRequest
 */
export interface ApiResourcesApiApiApiResourcesPostRequest {
    /**
     * 
     * @type {ApiResourceApiDto}
     * @memberof ApiResourcesApiApiApiResourcesPost
     */
    readonly apiResourceApiDto?: ApiResourceApiDto
}

/**
 * Request parameters for apiApiResourcesPropertiesPropertyIdDelete operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesPropertiesPropertyIdDeleteRequest
 */
export interface ApiResourcesApiApiApiResourcesPropertiesPropertyIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesPropertiesPropertyIdDelete
     */
    readonly propertyId: number
}

/**
 * Request parameters for apiApiResourcesPropertiesPropertyIdGet operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesPropertiesPropertyIdGetRequest
 */
export interface ApiResourcesApiApiApiResourcesPropertiesPropertyIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesPropertiesPropertyIdGet
     */
    readonly propertyId: number
}

/**
 * Request parameters for apiApiResourcesPut operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesPutRequest
 */
export interface ApiResourcesApiApiApiResourcesPutRequest {
    /**
     * 
     * @type {ApiResourceApiDto}
     * @memberof ApiResourcesApiApiApiResourcesPut
     */
    readonly apiResourceApiDto?: ApiResourceApiDto
}

/**
 * Request parameters for apiApiResourcesSecretsSecretIdDelete operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesSecretsSecretIdDeleteRequest
 */
export interface ApiResourcesApiApiApiResourcesSecretsSecretIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesSecretsSecretIdDelete
     */
    readonly secretId: number
}

/**
 * Request parameters for apiApiResourcesSecretsSecretIdGet operation in ApiResourcesApi.
 * @export
 * @interface ApiResourcesApiApiApiResourcesSecretsSecretIdGetRequest
 */
export interface ApiResourcesApiApiApiResourcesSecretsSecretIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ApiResourcesApiApiApiResourcesSecretsSecretIdGet
     */
    readonly secretId: number
}

/**
 * ApiResourcesApi - object-oriented interface
 * @export
 * @class ApiResourcesApi
 * @extends {BaseAPI}
 */
export class ApiResourcesApi extends BaseAPI {
    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesGet(requestParameters: ApiResourcesApiApiApiResourcesGetRequest = {}, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesGet(requestParameters.searchText, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesIdDelete(requestParameters: ApiResourcesApiApiApiResourcesIdDeleteRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesIdDelete(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesIdGet(requestParameters: ApiResourcesApiApiApiResourcesIdGetRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesIdGet(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesIdPropertiesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesIdPropertiesGet(requestParameters: ApiResourcesApiApiApiResourcesIdPropertiesGetRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesIdPropertiesGet(requestParameters.id, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesIdPropertiesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesIdPropertiesPost(requestParameters: ApiResourcesApiApiApiResourcesIdPropertiesPostRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesIdPropertiesPost(requestParameters.id, requestParameters.apiResourcePropertyApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesIdSecretsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesIdSecretsGet(requestParameters: ApiResourcesApiApiApiResourcesIdSecretsGetRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesIdSecretsGet(requestParameters.id, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesIdSecretsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesIdSecretsPost(requestParameters: ApiResourcesApiApiApiResourcesIdSecretsPostRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesIdSecretsPost(requestParameters.id, requestParameters.apiSecretApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesPost(requestParameters: ApiResourcesApiApiApiResourcesPostRequest = {}, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesPost(requestParameters.apiResourceApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesPropertiesPropertyIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesPropertiesPropertyIdDelete(requestParameters: ApiResourcesApiApiApiResourcesPropertiesPropertyIdDeleteRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesPropertiesPropertyIdDelete(requestParameters.propertyId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesPropertiesPropertyIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesPropertiesPropertyIdGet(requestParameters: ApiResourcesApiApiApiResourcesPropertiesPropertyIdGetRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesPropertiesPropertyIdGet(requestParameters.propertyId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesPut(requestParameters: ApiResourcesApiApiApiResourcesPutRequest = {}, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesPut(requestParameters.apiResourceApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesSecretsSecretIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesSecretsSecretIdDelete(requestParameters: ApiResourcesApiApiApiResourcesSecretsSecretIdDeleteRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesSecretsSecretIdDelete(requestParameters.secretId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ApiResourcesApiApiApiResourcesSecretsSecretIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiResourcesApi
     */
    public apiApiResourcesSecretsSecretIdGet(requestParameters: ApiResourcesApiApiApiResourcesSecretsSecretIdGetRequest, options?: AxiosRequestConfig) {
        return ApiResourcesApiFp(this.configuration).apiApiResourcesSecretsSecretIdGet(requestParameters.secretId, options).then((request) => request(this.axios, this.basePath));
    }
}
