/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital IdentityServer Admin Api INT
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { ClientApiDto } from '../models';
// @ts-ignore
import { ClientClaimApiDto } from '../models';
// @ts-ignore
import { ClientClaimsApiDto } from '../models';
// @ts-ignore
import { ClientCloneApiDto } from '../models';
// @ts-ignore
import { ClientPropertiesApiDto } from '../models';
// @ts-ignore
import { ClientPropertyApiDto } from '../models';
// @ts-ignore
import { ClientSecretApiDto } from '../models';
// @ts-ignore
import { ClientSecretsApiDto } from '../models';
// @ts-ignore
import { ClientsApiDto } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
/**
 * ClientsApi - axios parameter creator
 * @export
 */
export const ClientsApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @param {number} claimId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsClaimsClaimIdDelete: async (claimId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'claimId' is not null or undefined
            assertParamExists('apiClientsClaimsClaimIdDelete', 'claimId', claimId)
            const localVarPath = `/api/Clients/Claims/{claimId}`
                .replace(`{${"claimId"}}`, encodeURIComponent(String(claimId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} claimId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsClaimsClaimIdGet: async (claimId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'claimId' is not null or undefined
            assertParamExists('apiClientsClaimsClaimIdGet', 'claimId', claimId)
            const localVarPath = `/api/Clients/Claims/{claimId}`
                .replace(`{${"claimId"}}`, encodeURIComponent(String(claimId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {ClientCloneApiDto} [clientCloneApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsClonePost: async (clientCloneApiDto?: ClientCloneApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/Clients/Clone`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(clientCloneApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsGet: async (searchText?: string, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/Clients`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (searchText !== undefined) {
                localVarQueryParameter['searchText'] = searchText;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdClaimsGet: async (id: number, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiClientsIdClaimsGet', 'id', id)
            const localVarPath = `/api/Clients/{id}/Claims`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {ClientClaimApiDto} [clientClaimApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdClaimsPost: async (id: number, clientClaimApiDto?: ClientClaimApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiClientsIdClaimsPost', 'id', id)
            const localVarPath = `/api/Clients/{id}/Claims`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(clientClaimApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdDelete: async (id: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiClientsIdDelete', 'id', id)
            const localVarPath = `/api/Clients/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdGet: async (id: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiClientsIdGet', 'id', id)
            const localVarPath = `/api/Clients/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdPropertiesGet: async (id: number, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiClientsIdPropertiesGet', 'id', id)
            const localVarPath = `/api/Clients/{id}/Properties`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {ClientPropertyApiDto} [clientPropertyApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdPropertiesPost: async (id: number, clientPropertyApiDto?: ClientPropertyApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiClientsIdPropertiesPost', 'id', id)
            const localVarPath = `/api/Clients/{id}/Properties`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(clientPropertyApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdSecretsGet: async (id: number, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiClientsIdSecretsGet', 'id', id)
            const localVarPath = `/api/Clients/{id}/Secrets`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {ClientSecretApiDto} [clientSecretApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdSecretsPost: async (id: number, clientSecretApiDto?: ClientSecretApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiClientsIdSecretsPost', 'id', id)
            const localVarPath = `/api/Clients/{id}/Secrets`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(clientSecretApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {ClientApiDto} [clientApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsPost: async (clientApiDto?: ClientApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/Clients`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(clientApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsPropertiesPropertyIdDelete: async (propertyId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'propertyId' is not null or undefined
            assertParamExists('apiClientsPropertiesPropertyIdDelete', 'propertyId', propertyId)
            const localVarPath = `/api/Clients/Properties/{propertyId}`
                .replace(`{${"propertyId"}}`, encodeURIComponent(String(propertyId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsPropertiesPropertyIdGet: async (propertyId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'propertyId' is not null or undefined
            assertParamExists('apiClientsPropertiesPropertyIdGet', 'propertyId', propertyId)
            const localVarPath = `/api/Clients/Properties/{propertyId}`
                .replace(`{${"propertyId"}}`, encodeURIComponent(String(propertyId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {ClientApiDto} [clientApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsPut: async (clientApiDto?: ClientApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/Clients`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(clientApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsSecretsSecretIdDelete: async (secretId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'secretId' is not null or undefined
            assertParamExists('apiClientsSecretsSecretIdDelete', 'secretId', secretId)
            const localVarPath = `/api/Clients/Secrets/{secretId}`
                .replace(`{${"secretId"}}`, encodeURIComponent(String(secretId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsSecretsSecretIdGet: async (secretId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'secretId' is not null or undefined
            assertParamExists('apiClientsSecretsSecretIdGet', 'secretId', secretId)
            const localVarPath = `/api/Clients/Secrets/{secretId}`
                .replace(`{${"secretId"}}`, encodeURIComponent(String(secretId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ClientsApi - functional programming interface
 * @export
 */
export const ClientsApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = ClientsApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @param {number} claimId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsClaimsClaimIdDelete(claimId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsClaimsClaimIdDelete(claimId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} claimId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsClaimsClaimIdGet(claimId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ClientClaimApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsClaimsClaimIdGet(claimId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {ClientCloneApiDto} [clientCloneApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsClonePost(clientCloneApiDto?: ClientCloneApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsClonePost(clientCloneApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsGet(searchText?: string, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ClientsApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsGet(searchText, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsIdClaimsGet(id: number, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ClientClaimsApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsIdClaimsGet(id, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {ClientClaimApiDto} [clientClaimApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsIdClaimsPost(id: number, clientClaimApiDto?: ClientClaimApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsIdClaimsPost(id, clientClaimApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsIdDelete(id: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsIdDelete(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsIdGet(id: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ClientApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsIdGet(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsIdPropertiesGet(id: number, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ClientPropertiesApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsIdPropertiesGet(id, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {ClientPropertyApiDto} [clientPropertyApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsIdPropertiesPost(id: number, clientPropertyApiDto?: ClientPropertyApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsIdPropertiesPost(id, clientPropertyApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsIdSecretsGet(id: number, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ClientSecretsApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsIdSecretsGet(id, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {ClientSecretApiDto} [clientSecretApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsIdSecretsPost(id: number, clientSecretApiDto?: ClientSecretApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsIdSecretsPost(id, clientSecretApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {ClientApiDto} [clientApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsPost(clientApiDto?: ClientApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsPost(clientApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsPropertiesPropertyIdDelete(propertyId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsPropertiesPropertyIdDelete(propertyId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsPropertiesPropertyIdGet(propertyId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ClientPropertyApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsPropertiesPropertyIdGet(propertyId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {ClientApiDto} [clientApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsPut(clientApiDto?: ClientApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsPut(clientApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsSecretsSecretIdDelete(secretId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsSecretsSecretIdDelete(secretId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiClientsSecretsSecretIdGet(secretId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ClientSecretApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiClientsSecretsSecretIdGet(secretId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * ClientsApi - factory interface
 * @export
 */
export const ClientsApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = ClientsApiFp(configuration)
    return {
        /**
         * 
         * @param {number} claimId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsClaimsClaimIdDelete(claimId: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsClaimsClaimIdDelete(claimId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} claimId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsClaimsClaimIdGet(claimId: number, options?: any): AxiosPromise<ClientClaimApiDto> {
            return localVarFp.apiClientsClaimsClaimIdGet(claimId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {ClientCloneApiDto} [clientCloneApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsClonePost(clientCloneApiDto?: ClientCloneApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsClonePost(clientCloneApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsGet(searchText?: string, page?: number, pageSize?: number, options?: any): AxiosPromise<ClientsApiDto> {
            return localVarFp.apiClientsGet(searchText, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdClaimsGet(id: number, page?: number, pageSize?: number, options?: any): AxiosPromise<ClientClaimsApiDto> {
            return localVarFp.apiClientsIdClaimsGet(id, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {ClientClaimApiDto} [clientClaimApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdClaimsPost(id: number, clientClaimApiDto?: ClientClaimApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsIdClaimsPost(id, clientClaimApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdDelete(id: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsIdDelete(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdGet(id: number, options?: any): AxiosPromise<ClientApiDto> {
            return localVarFp.apiClientsIdGet(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdPropertiesGet(id: number, page?: number, pageSize?: number, options?: any): AxiosPromise<ClientPropertiesApiDto> {
            return localVarFp.apiClientsIdPropertiesGet(id, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {ClientPropertyApiDto} [clientPropertyApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdPropertiesPost(id: number, clientPropertyApiDto?: ClientPropertyApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsIdPropertiesPost(id, clientPropertyApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdSecretsGet(id: number, page?: number, pageSize?: number, options?: any): AxiosPromise<ClientSecretsApiDto> {
            return localVarFp.apiClientsIdSecretsGet(id, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {ClientSecretApiDto} [clientSecretApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsIdSecretsPost(id: number, clientSecretApiDto?: ClientSecretApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsIdSecretsPost(id, clientSecretApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {ClientApiDto} [clientApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsPost(clientApiDto?: ClientApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsPost(clientApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsPropertiesPropertyIdDelete(propertyId: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsPropertiesPropertyIdDelete(propertyId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsPropertiesPropertyIdGet(propertyId: number, options?: any): AxiosPromise<ClientPropertyApiDto> {
            return localVarFp.apiClientsPropertiesPropertyIdGet(propertyId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {ClientApiDto} [clientApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsPut(clientApiDto?: ClientApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsPut(clientApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsSecretsSecretIdDelete(secretId: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiClientsSecretsSecretIdDelete(secretId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} secretId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiClientsSecretsSecretIdGet(secretId: number, options?: any): AxiosPromise<ClientSecretApiDto> {
            return localVarFp.apiClientsSecretsSecretIdGet(secretId, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiClientsClaimsClaimIdDelete operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsClaimsClaimIdDeleteRequest
 */
export interface ClientsApiApiClientsClaimsClaimIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsClaimsClaimIdDelete
     */
    readonly claimId: number
}

/**
 * Request parameters for apiClientsClaimsClaimIdGet operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsClaimsClaimIdGetRequest
 */
export interface ClientsApiApiClientsClaimsClaimIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsClaimsClaimIdGet
     */
    readonly claimId: number
}

/**
 * Request parameters for apiClientsClonePost operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsClonePostRequest
 */
export interface ClientsApiApiClientsClonePostRequest {
    /**
     * 
     * @type {ClientCloneApiDto}
     * @memberof ClientsApiApiClientsClonePost
     */
    readonly clientCloneApiDto?: ClientCloneApiDto
}

/**
 * Request parameters for apiClientsGet operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsGetRequest
 */
export interface ClientsApiApiClientsGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ClientsApiApiClientsGet
     */
    readonly searchText?: string

    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiClientsIdClaimsGet operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsIdClaimsGetRequest
 */
export interface ClientsApiApiClientsIdClaimsGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdClaimsGet
     */
    readonly id: number

    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdClaimsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdClaimsGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiClientsIdClaimsPost operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsIdClaimsPostRequest
 */
export interface ClientsApiApiClientsIdClaimsPostRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdClaimsPost
     */
    readonly id: number

    /**
     * 
     * @type {ClientClaimApiDto}
     * @memberof ClientsApiApiClientsIdClaimsPost
     */
    readonly clientClaimApiDto?: ClientClaimApiDto
}

/**
 * Request parameters for apiClientsIdDelete operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsIdDeleteRequest
 */
export interface ClientsApiApiClientsIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdDelete
     */
    readonly id: number
}

/**
 * Request parameters for apiClientsIdGet operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsIdGetRequest
 */
export interface ClientsApiApiClientsIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdGet
     */
    readonly id: number
}

/**
 * Request parameters for apiClientsIdPropertiesGet operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsIdPropertiesGetRequest
 */
export interface ClientsApiApiClientsIdPropertiesGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdPropertiesGet
     */
    readonly id: number

    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdPropertiesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdPropertiesGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiClientsIdPropertiesPost operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsIdPropertiesPostRequest
 */
export interface ClientsApiApiClientsIdPropertiesPostRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdPropertiesPost
     */
    readonly id: number

    /**
     * 
     * @type {ClientPropertyApiDto}
     * @memberof ClientsApiApiClientsIdPropertiesPost
     */
    readonly clientPropertyApiDto?: ClientPropertyApiDto
}

/**
 * Request parameters for apiClientsIdSecretsGet operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsIdSecretsGetRequest
 */
export interface ClientsApiApiClientsIdSecretsGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdSecretsGet
     */
    readonly id: number

    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdSecretsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdSecretsGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiClientsIdSecretsPost operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsIdSecretsPostRequest
 */
export interface ClientsApiApiClientsIdSecretsPostRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsIdSecretsPost
     */
    readonly id: number

    /**
     * 
     * @type {ClientSecretApiDto}
     * @memberof ClientsApiApiClientsIdSecretsPost
     */
    readonly clientSecretApiDto?: ClientSecretApiDto
}

/**
 * Request parameters for apiClientsPost operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsPostRequest
 */
export interface ClientsApiApiClientsPostRequest {
    /**
     * 
     * @type {ClientApiDto}
     * @memberof ClientsApiApiClientsPost
     */
    readonly clientApiDto?: ClientApiDto
}

/**
 * Request parameters for apiClientsPropertiesPropertyIdDelete operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsPropertiesPropertyIdDeleteRequest
 */
export interface ClientsApiApiClientsPropertiesPropertyIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsPropertiesPropertyIdDelete
     */
    readonly propertyId: number
}

/**
 * Request parameters for apiClientsPropertiesPropertyIdGet operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsPropertiesPropertyIdGetRequest
 */
export interface ClientsApiApiClientsPropertiesPropertyIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsPropertiesPropertyIdGet
     */
    readonly propertyId: number
}

/**
 * Request parameters for apiClientsPut operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsPutRequest
 */
export interface ClientsApiApiClientsPutRequest {
    /**
     * 
     * @type {ClientApiDto}
     * @memberof ClientsApiApiClientsPut
     */
    readonly clientApiDto?: ClientApiDto
}

/**
 * Request parameters for apiClientsSecretsSecretIdDelete operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsSecretsSecretIdDeleteRequest
 */
export interface ClientsApiApiClientsSecretsSecretIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsSecretsSecretIdDelete
     */
    readonly secretId: number
}

/**
 * Request parameters for apiClientsSecretsSecretIdGet operation in ClientsApi.
 * @export
 * @interface ClientsApiApiClientsSecretsSecretIdGetRequest
 */
export interface ClientsApiApiClientsSecretsSecretIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof ClientsApiApiClientsSecretsSecretIdGet
     */
    readonly secretId: number
}

/**
 * ClientsApi - object-oriented interface
 * @export
 * @class ClientsApi
 * @extends {BaseAPI}
 */
export class ClientsApi extends BaseAPI {
    /**
     * 
     * @param {ClientsApiApiClientsClaimsClaimIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsClaimsClaimIdDelete(requestParameters: ClientsApiApiClientsClaimsClaimIdDeleteRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsClaimsClaimIdDelete(requestParameters.claimId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsClaimsClaimIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsClaimsClaimIdGet(requestParameters: ClientsApiApiClientsClaimsClaimIdGetRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsClaimsClaimIdGet(requestParameters.claimId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsClonePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsClonePost(requestParameters: ClientsApiApiClientsClonePostRequest = {}, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsClonePost(requestParameters.clientCloneApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsGet(requestParameters: ClientsApiApiClientsGetRequest = {}, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsGet(requestParameters.searchText, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsIdClaimsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsIdClaimsGet(requestParameters: ClientsApiApiClientsIdClaimsGetRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsIdClaimsGet(requestParameters.id, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsIdClaimsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsIdClaimsPost(requestParameters: ClientsApiApiClientsIdClaimsPostRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsIdClaimsPost(requestParameters.id, requestParameters.clientClaimApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsIdDelete(requestParameters: ClientsApiApiClientsIdDeleteRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsIdDelete(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsIdGet(requestParameters: ClientsApiApiClientsIdGetRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsIdGet(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsIdPropertiesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsIdPropertiesGet(requestParameters: ClientsApiApiClientsIdPropertiesGetRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsIdPropertiesGet(requestParameters.id, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsIdPropertiesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsIdPropertiesPost(requestParameters: ClientsApiApiClientsIdPropertiesPostRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsIdPropertiesPost(requestParameters.id, requestParameters.clientPropertyApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsIdSecretsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsIdSecretsGet(requestParameters: ClientsApiApiClientsIdSecretsGetRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsIdSecretsGet(requestParameters.id, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsIdSecretsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsIdSecretsPost(requestParameters: ClientsApiApiClientsIdSecretsPostRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsIdSecretsPost(requestParameters.id, requestParameters.clientSecretApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsPost(requestParameters: ClientsApiApiClientsPostRequest = {}, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsPost(requestParameters.clientApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsPropertiesPropertyIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsPropertiesPropertyIdDelete(requestParameters: ClientsApiApiClientsPropertiesPropertyIdDeleteRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsPropertiesPropertyIdDelete(requestParameters.propertyId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsPropertiesPropertyIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsPropertiesPropertyIdGet(requestParameters: ClientsApiApiClientsPropertiesPropertyIdGetRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsPropertiesPropertyIdGet(requestParameters.propertyId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsPut(requestParameters: ClientsApiApiClientsPutRequest = {}, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsPut(requestParameters.clientApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsSecretsSecretIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsSecretsSecretIdDelete(requestParameters: ClientsApiApiClientsSecretsSecretIdDeleteRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsSecretsSecretIdDelete(requestParameters.secretId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {ClientsApiApiClientsSecretsSecretIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientsApi
     */
    public apiClientsSecretsSecretIdGet(requestParameters: ClientsApiApiClientsSecretsSecretIdGetRequest, options?: AxiosRequestConfig) {
        return ClientsApiFp(this.configuration).apiClientsSecretsSecretIdGet(requestParameters.secretId, options).then((request) => request(this.axios, this.basePath));
    }
}
