/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital IdentityServer Admin Api INT
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { IdentityProviderApiDto } from '../models';
// @ts-ignore
import { IdentityProvidersApiDto } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
/**
 * IdentityProvidersApi - axios parameter creator
 * @export
 */
export const IdentityProvidersApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersGet: async (searchText?: string, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/IdentityProviders`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (searchText !== undefined) {
                localVarQueryParameter['searchText'] = searchText;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersIdDelete: async (id: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiIdentityProvidersIdDelete', 'id', id)
            const localVarPath = `/api/IdentityProviders/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersIdGet: async (id: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiIdentityProvidersIdGet', 'id', id)
            const localVarPath = `/api/IdentityProviders/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {IdentityProviderApiDto} [identityProviderApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersPost: async (identityProviderApiDto?: IdentityProviderApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/IdentityProviders`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(identityProviderApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {IdentityProviderApiDto} [identityProviderApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersPut: async (identityProviderApiDto?: IdentityProviderApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/IdentityProviders`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(identityProviderApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * IdentityProvidersApi - functional programming interface
 * @export
 */
export const IdentityProvidersApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = IdentityProvidersApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityProvidersGet(searchText?: string, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityProvidersApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityProvidersGet(searchText, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityProvidersIdDelete(id: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityProvidersIdDelete(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityProvidersIdGet(id: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityProviderApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityProvidersIdGet(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {IdentityProviderApiDto} [identityProviderApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityProvidersPost(identityProviderApiDto?: IdentityProviderApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityProvidersPost(identityProviderApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {IdentityProviderApiDto} [identityProviderApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityProvidersPut(identityProviderApiDto?: IdentityProviderApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityProvidersPut(identityProviderApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * IdentityProvidersApi - factory interface
 * @export
 */
export const IdentityProvidersApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = IdentityProvidersApiFp(configuration)
    return {
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersGet(searchText?: string, page?: number, pageSize?: number, options?: any): AxiosPromise<IdentityProvidersApiDto> {
            return localVarFp.apiIdentityProvidersGet(searchText, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersIdDelete(id: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiIdentityProvidersIdDelete(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersIdGet(id: number, options?: any): AxiosPromise<IdentityProviderApiDto> {
            return localVarFp.apiIdentityProvidersIdGet(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {IdentityProviderApiDto} [identityProviderApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersPost(identityProviderApiDto?: IdentityProviderApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiIdentityProvidersPost(identityProviderApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {IdentityProviderApiDto} [identityProviderApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityProvidersPut(identityProviderApiDto?: IdentityProviderApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiIdentityProvidersPut(identityProviderApiDto, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiIdentityProvidersGet operation in IdentityProvidersApi.
 * @export
 * @interface IdentityProvidersApiApiIdentityProvidersGetRequest
 */
export interface IdentityProvidersApiApiIdentityProvidersGetRequest {
    /**
     * 
     * @type {string}
     * @memberof IdentityProvidersApiApiIdentityProvidersGet
     */
    readonly searchText?: string

    /**
     * 
     * @type {number}
     * @memberof IdentityProvidersApiApiIdentityProvidersGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof IdentityProvidersApiApiIdentityProvidersGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiIdentityProvidersIdDelete operation in IdentityProvidersApi.
 * @export
 * @interface IdentityProvidersApiApiIdentityProvidersIdDeleteRequest
 */
export interface IdentityProvidersApiApiIdentityProvidersIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof IdentityProvidersApiApiIdentityProvidersIdDelete
     */
    readonly id: number
}

/**
 * Request parameters for apiIdentityProvidersIdGet operation in IdentityProvidersApi.
 * @export
 * @interface IdentityProvidersApiApiIdentityProvidersIdGetRequest
 */
export interface IdentityProvidersApiApiIdentityProvidersIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof IdentityProvidersApiApiIdentityProvidersIdGet
     */
    readonly id: number
}

/**
 * Request parameters for apiIdentityProvidersPost operation in IdentityProvidersApi.
 * @export
 * @interface IdentityProvidersApiApiIdentityProvidersPostRequest
 */
export interface IdentityProvidersApiApiIdentityProvidersPostRequest {
    /**
     * 
     * @type {IdentityProviderApiDto}
     * @memberof IdentityProvidersApiApiIdentityProvidersPost
     */
    readonly identityProviderApiDto?: IdentityProviderApiDto
}

/**
 * Request parameters for apiIdentityProvidersPut operation in IdentityProvidersApi.
 * @export
 * @interface IdentityProvidersApiApiIdentityProvidersPutRequest
 */
export interface IdentityProvidersApiApiIdentityProvidersPutRequest {
    /**
     * 
     * @type {IdentityProviderApiDto}
     * @memberof IdentityProvidersApiApiIdentityProvidersPut
     */
    readonly identityProviderApiDto?: IdentityProviderApiDto
}

/**
 * IdentityProvidersApi - object-oriented interface
 * @export
 * @class IdentityProvidersApi
 * @extends {BaseAPI}
 */
export class IdentityProvidersApi extends BaseAPI {
    /**
     * 
     * @param {IdentityProvidersApiApiIdentityProvidersGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityProvidersApi
     */
    public apiIdentityProvidersGet(requestParameters: IdentityProvidersApiApiIdentityProvidersGetRequest = {}, options?: AxiosRequestConfig) {
        return IdentityProvidersApiFp(this.configuration).apiIdentityProvidersGet(requestParameters.searchText, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityProvidersApiApiIdentityProvidersIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityProvidersApi
     */
    public apiIdentityProvidersIdDelete(requestParameters: IdentityProvidersApiApiIdentityProvidersIdDeleteRequest, options?: AxiosRequestConfig) {
        return IdentityProvidersApiFp(this.configuration).apiIdentityProvidersIdDelete(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityProvidersApiApiIdentityProvidersIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityProvidersApi
     */
    public apiIdentityProvidersIdGet(requestParameters: IdentityProvidersApiApiIdentityProvidersIdGetRequest, options?: AxiosRequestConfig) {
        return IdentityProvidersApiFp(this.configuration).apiIdentityProvidersIdGet(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityProvidersApiApiIdentityProvidersPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityProvidersApi
     */
    public apiIdentityProvidersPost(requestParameters: IdentityProvidersApiApiIdentityProvidersPostRequest = {}, options?: AxiosRequestConfig) {
        return IdentityProvidersApiFp(this.configuration).apiIdentityProvidersPost(requestParameters.identityProviderApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityProvidersApiApiIdentityProvidersPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityProvidersApi
     */
    public apiIdentityProvidersPut(requestParameters: IdentityProvidersApiApiIdentityProvidersPutRequest = {}, options?: AxiosRequestConfig) {
        return IdentityProvidersApiFp(this.configuration).apiIdentityProvidersPut(requestParameters.identityProviderApiDto, options).then((request) => request(this.axios, this.basePath));
    }
}
