/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital IdentityServer Admin Api INT
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { IdentityResourceApiDto } from '../models';
// @ts-ignore
import { IdentityResourcePropertiesApiDto } from '../models';
// @ts-ignore
import { IdentityResourcePropertyApiDto } from '../models';
// @ts-ignore
import { IdentityResourcesApiDto } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
/**
 * IdentityResourcesApi - axios parameter creator
 * @export
 */
export const IdentityResourcesApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesGet: async (searchText?: string, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/IdentityResources`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (searchText !== undefined) {
                localVarQueryParameter['searchText'] = searchText;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesIdDelete: async (id: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiIdentityResourcesIdDelete', 'id', id)
            const localVarPath = `/api/IdentityResources/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesIdGet: async (id: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiIdentityResourcesIdGet', 'id', id)
            const localVarPath = `/api/IdentityResources/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesIdPropertiesGet: async (id: number, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiIdentityResourcesIdPropertiesGet', 'id', id)
            const localVarPath = `/api/IdentityResources/{id}/Properties`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} id 
         * @param {IdentityResourcePropertyApiDto} [identityResourcePropertyApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesIdPropertiesPost: async (id: number, identityResourcePropertyApiDto?: IdentityResourcePropertyApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiIdentityResourcesIdPropertiesPost', 'id', id)
            const localVarPath = `/api/IdentityResources/{id}/Properties`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(identityResourcePropertyApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {IdentityResourceApiDto} [identityResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesPost: async (identityResourceApiDto?: IdentityResourceApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/IdentityResources`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(identityResourceApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesPropertiesPropertyIdDelete: async (propertyId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'propertyId' is not null or undefined
            assertParamExists('apiIdentityResourcesPropertiesPropertyIdDelete', 'propertyId', propertyId)
            const localVarPath = `/api/IdentityResources/Properties/{propertyId}`
                .replace(`{${"propertyId"}}`, encodeURIComponent(String(propertyId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesPropertiesPropertyIdGet: async (propertyId: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'propertyId' is not null or undefined
            assertParamExists('apiIdentityResourcesPropertiesPropertyIdGet', 'propertyId', propertyId)
            const localVarPath = `/api/IdentityResources/Properties/{propertyId}`
                .replace(`{${"propertyId"}}`, encodeURIComponent(String(propertyId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {IdentityResourceApiDto} [identityResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesPut: async (identityResourceApiDto?: IdentityResourceApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/IdentityResources`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(identityResourceApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * IdentityResourcesApi - functional programming interface
 * @export
 */
export const IdentityResourcesApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = IdentityResourcesApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityResourcesGet(searchText?: string, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityResourcesApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityResourcesGet(searchText, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityResourcesIdDelete(id: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityResourcesIdDelete(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityResourcesIdGet(id: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityResourceApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityResourcesIdGet(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityResourcesIdPropertiesGet(id: number, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityResourcePropertiesApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityResourcesIdPropertiesGet(id, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} id 
         * @param {IdentityResourcePropertyApiDto} [identityResourcePropertyApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityResourcesIdPropertiesPost(id: number, identityResourcePropertyApiDto?: IdentityResourcePropertyApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityResourcesIdPropertiesPost(id, identityResourcePropertyApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {IdentityResourceApiDto} [identityResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityResourcesPost(identityResourceApiDto?: IdentityResourceApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityResourcesPost(identityResourceApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityResourcesPropertiesPropertyIdDelete(propertyId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityResourcesPropertiesPropertyIdDelete(propertyId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityResourcesPropertiesPropertyIdGet(propertyId: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityResourcePropertyApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityResourcesPropertiesPropertyIdGet(propertyId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {IdentityResourceApiDto} [identityResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiIdentityResourcesPut(identityResourceApiDto?: IdentityResourceApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiIdentityResourcesPut(identityResourceApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * IdentityResourcesApi - factory interface
 * @export
 */
export const IdentityResourcesApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = IdentityResourcesApiFp(configuration)
    return {
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesGet(searchText?: string, page?: number, pageSize?: number, options?: any): AxiosPromise<IdentityResourcesApiDto> {
            return localVarFp.apiIdentityResourcesGet(searchText, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesIdDelete(id: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiIdentityResourcesIdDelete(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesIdGet(id: number, options?: any): AxiosPromise<IdentityResourceApiDto> {
            return localVarFp.apiIdentityResourcesIdGet(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesIdPropertiesGet(id: number, page?: number, pageSize?: number, options?: any): AxiosPromise<IdentityResourcePropertiesApiDto> {
            return localVarFp.apiIdentityResourcesIdPropertiesGet(id, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} id 
         * @param {IdentityResourcePropertyApiDto} [identityResourcePropertyApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesIdPropertiesPost(id: number, identityResourcePropertyApiDto?: IdentityResourcePropertyApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiIdentityResourcesIdPropertiesPost(id, identityResourcePropertyApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {IdentityResourceApiDto} [identityResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesPost(identityResourceApiDto?: IdentityResourceApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiIdentityResourcesPost(identityResourceApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesPropertiesPropertyIdDelete(propertyId: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiIdentityResourcesPropertiesPropertyIdDelete(propertyId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {number} propertyId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesPropertiesPropertyIdGet(propertyId: number, options?: any): AxiosPromise<IdentityResourcePropertyApiDto> {
            return localVarFp.apiIdentityResourcesPropertiesPropertyIdGet(propertyId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {IdentityResourceApiDto} [identityResourceApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiIdentityResourcesPut(identityResourceApiDto?: IdentityResourceApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiIdentityResourcesPut(identityResourceApiDto, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiIdentityResourcesGet operation in IdentityResourcesApi.
 * @export
 * @interface IdentityResourcesApiApiIdentityResourcesGetRequest
 */
export interface IdentityResourcesApiApiIdentityResourcesGetRequest {
    /**
     * 
     * @type {string}
     * @memberof IdentityResourcesApiApiIdentityResourcesGet
     */
    readonly searchText?: string

    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiIdentityResourcesIdDelete operation in IdentityResourcesApi.
 * @export
 * @interface IdentityResourcesApiApiIdentityResourcesIdDeleteRequest
 */
export interface IdentityResourcesApiApiIdentityResourcesIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesIdDelete
     */
    readonly id: number
}

/**
 * Request parameters for apiIdentityResourcesIdGet operation in IdentityResourcesApi.
 * @export
 * @interface IdentityResourcesApiApiIdentityResourcesIdGetRequest
 */
export interface IdentityResourcesApiApiIdentityResourcesIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesIdGet
     */
    readonly id: number
}

/**
 * Request parameters for apiIdentityResourcesIdPropertiesGet operation in IdentityResourcesApi.
 * @export
 * @interface IdentityResourcesApiApiIdentityResourcesIdPropertiesGetRequest
 */
export interface IdentityResourcesApiApiIdentityResourcesIdPropertiesGetRequest {
    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesIdPropertiesGet
     */
    readonly id: number

    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesIdPropertiesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesIdPropertiesGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiIdentityResourcesIdPropertiesPost operation in IdentityResourcesApi.
 * @export
 * @interface IdentityResourcesApiApiIdentityResourcesIdPropertiesPostRequest
 */
export interface IdentityResourcesApiApiIdentityResourcesIdPropertiesPostRequest {
    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesIdPropertiesPost
     */
    readonly id: number

    /**
     * 
     * @type {IdentityResourcePropertyApiDto}
     * @memberof IdentityResourcesApiApiIdentityResourcesIdPropertiesPost
     */
    readonly identityResourcePropertyApiDto?: IdentityResourcePropertyApiDto
}

/**
 * Request parameters for apiIdentityResourcesPost operation in IdentityResourcesApi.
 * @export
 * @interface IdentityResourcesApiApiIdentityResourcesPostRequest
 */
export interface IdentityResourcesApiApiIdentityResourcesPostRequest {
    /**
     * 
     * @type {IdentityResourceApiDto}
     * @memberof IdentityResourcesApiApiIdentityResourcesPost
     */
    readonly identityResourceApiDto?: IdentityResourceApiDto
}

/**
 * Request parameters for apiIdentityResourcesPropertiesPropertyIdDelete operation in IdentityResourcesApi.
 * @export
 * @interface IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdDeleteRequest
 */
export interface IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdDeleteRequest {
    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdDelete
     */
    readonly propertyId: number
}

/**
 * Request parameters for apiIdentityResourcesPropertiesPropertyIdGet operation in IdentityResourcesApi.
 * @export
 * @interface IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdGetRequest
 */
export interface IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdGetRequest {
    /**
     * 
     * @type {number}
     * @memberof IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdGet
     */
    readonly propertyId: number
}

/**
 * Request parameters for apiIdentityResourcesPut operation in IdentityResourcesApi.
 * @export
 * @interface IdentityResourcesApiApiIdentityResourcesPutRequest
 */
export interface IdentityResourcesApiApiIdentityResourcesPutRequest {
    /**
     * 
     * @type {IdentityResourceApiDto}
     * @memberof IdentityResourcesApiApiIdentityResourcesPut
     */
    readonly identityResourceApiDto?: IdentityResourceApiDto
}

/**
 * IdentityResourcesApi - object-oriented interface
 * @export
 * @class IdentityResourcesApi
 * @extends {BaseAPI}
 */
export class IdentityResourcesApi extends BaseAPI {
    /**
     * 
     * @param {IdentityResourcesApiApiIdentityResourcesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityResourcesApi
     */
    public apiIdentityResourcesGet(requestParameters: IdentityResourcesApiApiIdentityResourcesGetRequest = {}, options?: AxiosRequestConfig) {
        return IdentityResourcesApiFp(this.configuration).apiIdentityResourcesGet(requestParameters.searchText, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityResourcesApiApiIdentityResourcesIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityResourcesApi
     */
    public apiIdentityResourcesIdDelete(requestParameters: IdentityResourcesApiApiIdentityResourcesIdDeleteRequest, options?: AxiosRequestConfig) {
        return IdentityResourcesApiFp(this.configuration).apiIdentityResourcesIdDelete(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityResourcesApiApiIdentityResourcesIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityResourcesApi
     */
    public apiIdentityResourcesIdGet(requestParameters: IdentityResourcesApiApiIdentityResourcesIdGetRequest, options?: AxiosRequestConfig) {
        return IdentityResourcesApiFp(this.configuration).apiIdentityResourcesIdGet(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityResourcesApiApiIdentityResourcesIdPropertiesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityResourcesApi
     */
    public apiIdentityResourcesIdPropertiesGet(requestParameters: IdentityResourcesApiApiIdentityResourcesIdPropertiesGetRequest, options?: AxiosRequestConfig) {
        return IdentityResourcesApiFp(this.configuration).apiIdentityResourcesIdPropertiesGet(requestParameters.id, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityResourcesApiApiIdentityResourcesIdPropertiesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityResourcesApi
     */
    public apiIdentityResourcesIdPropertiesPost(requestParameters: IdentityResourcesApiApiIdentityResourcesIdPropertiesPostRequest, options?: AxiosRequestConfig) {
        return IdentityResourcesApiFp(this.configuration).apiIdentityResourcesIdPropertiesPost(requestParameters.id, requestParameters.identityResourcePropertyApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityResourcesApiApiIdentityResourcesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityResourcesApi
     */
    public apiIdentityResourcesPost(requestParameters: IdentityResourcesApiApiIdentityResourcesPostRequest = {}, options?: AxiosRequestConfig) {
        return IdentityResourcesApiFp(this.configuration).apiIdentityResourcesPost(requestParameters.identityResourceApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityResourcesApi
     */
    public apiIdentityResourcesPropertiesPropertyIdDelete(requestParameters: IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdDeleteRequest, options?: AxiosRequestConfig) {
        return IdentityResourcesApiFp(this.configuration).apiIdentityResourcesPropertiesPropertyIdDelete(requestParameters.propertyId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityResourcesApi
     */
    public apiIdentityResourcesPropertiesPropertyIdGet(requestParameters: IdentityResourcesApiApiIdentityResourcesPropertiesPropertyIdGetRequest, options?: AxiosRequestConfig) {
        return IdentityResourcesApiFp(this.configuration).apiIdentityResourcesPropertiesPropertyIdGet(requestParameters.propertyId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {IdentityResourcesApiApiIdentityResourcesPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IdentityResourcesApi
     */
    public apiIdentityResourcesPut(requestParameters: IdentityResourcesApiApiIdentityResourcesPutRequest = {}, options?: AxiosRequestConfig) {
        return IdentityResourcesApiFp(this.configuration).apiIdentityResourcesPut(requestParameters.identityResourceApiDto, options).then((request) => request(this.axios, this.basePath));
    }
}
