/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital IdentityServer Admin Api INT
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { IdentityRoleDto } from '../models';
// @ts-ignore
import { IdentityRolesDto } from '../models';
// @ts-ignore
import { IdentityUsersDto } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
// @ts-ignore
import { StringRoleClaimApiDto } from '../models';
// @ts-ignore
import { StringRoleClaimsApiDto } from '../models';
/**
 * RolesApi - axios parameter creator
 * @export
 */
export const RolesApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @param {StringRoleClaimApiDto} [stringRoleClaimApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesClaimsPost: async (stringRoleClaimApiDto?: StringRoleClaimApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/Roles/Claims`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(stringRoleClaimApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {StringRoleClaimApiDto} [stringRoleClaimApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesClaimsPut: async (stringRoleClaimApiDto?: StringRoleClaimApiDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/Roles/Claims`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(stringRoleClaimApiDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesGet: async (searchText?: string, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/Roles`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (searchText !== undefined) {
                localVarQueryParameter['searchText'] = searchText;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {string} id 
         * @param {number} [claimId] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdClaimsDelete: async (id: string, claimId?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiRolesIdClaimsDelete', 'id', id)
            const localVarPath = `/api/Roles/{id}/Claims`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (claimId !== undefined) {
                localVarQueryParameter['claimId'] = claimId;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {string} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdClaimsGet: async (id: string, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiRolesIdClaimsGet', 'id', id)
            const localVarPath = `/api/Roles/{id}/Claims`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdDelete: async (id: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiRolesIdDelete', 'id', id)
            const localVarPath = `/api/Roles/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdGet: async (id: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiRolesIdGet', 'id', id)
            const localVarPath = `/api/Roles/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {string} id 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdUsersGet: async (id: string, searchText?: string, page?: number, pageSize?: number, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiRolesIdUsersGet', 'id', id)
            const localVarPath = `/api/Roles/{id}/Users`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)

            if (searchText !== undefined) {
                localVarQueryParameter['searchText'] = searchText;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (pageSize !== undefined) {
                localVarQueryParameter['pageSize'] = pageSize;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {IdentityRoleDto} [identityRoleDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesPost: async (identityRoleDto?: IdentityRoleDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/Roles`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(identityRoleDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {IdentityRoleDto} [identityRoleDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesPut: async (identityRoleDto?: IdentityRoleDto, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/Roles`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_identity_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(identityRoleDto, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * RolesApi - functional programming interface
 * @export
 */
export const RolesApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = RolesApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @param {StringRoleClaimApiDto} [stringRoleClaimApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesClaimsPost(stringRoleClaimApiDto?: StringRoleClaimApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesClaimsPost(stringRoleClaimApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {StringRoleClaimApiDto} [stringRoleClaimApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesClaimsPut(stringRoleClaimApiDto?: StringRoleClaimApiDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesClaimsPut(stringRoleClaimApiDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesGet(searchText?: string, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityRolesDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesGet(searchText, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {string} id 
         * @param {number} [claimId] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesIdClaimsDelete(id: string, claimId?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesIdClaimsDelete(id, claimId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {string} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesIdClaimsGet(id: string, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<StringRoleClaimsApiDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesIdClaimsGet(id, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesIdDelete(id: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesIdDelete(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesIdGet(id: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityRoleDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesIdGet(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {string} id 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesIdUsersGet(id: string, searchText?: string, page?: number, pageSize?: number, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityUsersDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesIdUsersGet(id, searchText, page, pageSize, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {IdentityRoleDto} [identityRoleDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesPost(identityRoleDto?: IdentityRoleDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IdentityRoleDto>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesPost(identityRoleDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {IdentityRoleDto} [identityRoleDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiRolesPut(identityRoleDto?: IdentityRoleDto, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiRolesPut(identityRoleDto, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * RolesApi - factory interface
 * @export
 */
export const RolesApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = RolesApiFp(configuration)
    return {
        /**
         * 
         * @param {StringRoleClaimApiDto} [stringRoleClaimApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesClaimsPost(stringRoleClaimApiDto?: StringRoleClaimApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiRolesClaimsPost(stringRoleClaimApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {StringRoleClaimApiDto} [stringRoleClaimApiDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesClaimsPut(stringRoleClaimApiDto?: StringRoleClaimApiDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiRolesClaimsPut(stringRoleClaimApiDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesGet(searchText?: string, page?: number, pageSize?: number, options?: any): AxiosPromise<IdentityRolesDto> {
            return localVarFp.apiRolesGet(searchText, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {string} id 
         * @param {number} [claimId] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdClaimsDelete(id: string, claimId?: number, options?: any): AxiosPromise<void> {
            return localVarFp.apiRolesIdClaimsDelete(id, claimId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {string} id 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdClaimsGet(id: string, page?: number, pageSize?: number, options?: any): AxiosPromise<StringRoleClaimsApiDto> {
            return localVarFp.apiRolesIdClaimsGet(id, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdDelete(id: string, options?: any): AxiosPromise<void> {
            return localVarFp.apiRolesIdDelete(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdGet(id: string, options?: any): AxiosPromise<IdentityRoleDto> {
            return localVarFp.apiRolesIdGet(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {string} id 
         * @param {string} [searchText] 
         * @param {number} [page] 
         * @param {number} [pageSize] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesIdUsersGet(id: string, searchText?: string, page?: number, pageSize?: number, options?: any): AxiosPromise<IdentityUsersDto> {
            return localVarFp.apiRolesIdUsersGet(id, searchText, page, pageSize, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {IdentityRoleDto} [identityRoleDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesPost(identityRoleDto?: IdentityRoleDto, options?: any): AxiosPromise<IdentityRoleDto> {
            return localVarFp.apiRolesPost(identityRoleDto, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {IdentityRoleDto} [identityRoleDto] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiRolesPut(identityRoleDto?: IdentityRoleDto, options?: any): AxiosPromise<void> {
            return localVarFp.apiRolesPut(identityRoleDto, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiRolesClaimsPost operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesClaimsPostRequest
 */
export interface RolesApiApiRolesClaimsPostRequest {
    /**
     * 
     * @type {StringRoleClaimApiDto}
     * @memberof RolesApiApiRolesClaimsPost
     */
    readonly stringRoleClaimApiDto?: StringRoleClaimApiDto
}

/**
 * Request parameters for apiRolesClaimsPut operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesClaimsPutRequest
 */
export interface RolesApiApiRolesClaimsPutRequest {
    /**
     * 
     * @type {StringRoleClaimApiDto}
     * @memberof RolesApiApiRolesClaimsPut
     */
    readonly stringRoleClaimApiDto?: StringRoleClaimApiDto
}

/**
 * Request parameters for apiRolesGet operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesGetRequest
 */
export interface RolesApiApiRolesGetRequest {
    /**
     * 
     * @type {string}
     * @memberof RolesApiApiRolesGet
     */
    readonly searchText?: string

    /**
     * 
     * @type {number}
     * @memberof RolesApiApiRolesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof RolesApiApiRolesGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiRolesIdClaimsDelete operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesIdClaimsDeleteRequest
 */
export interface RolesApiApiRolesIdClaimsDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof RolesApiApiRolesIdClaimsDelete
     */
    readonly id: string

    /**
     * 
     * @type {number}
     * @memberof RolesApiApiRolesIdClaimsDelete
     */
    readonly claimId?: number
}

/**
 * Request parameters for apiRolesIdClaimsGet operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesIdClaimsGetRequest
 */
export interface RolesApiApiRolesIdClaimsGetRequest {
    /**
     * 
     * @type {string}
     * @memberof RolesApiApiRolesIdClaimsGet
     */
    readonly id: string

    /**
     * 
     * @type {number}
     * @memberof RolesApiApiRolesIdClaimsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof RolesApiApiRolesIdClaimsGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiRolesIdDelete operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesIdDeleteRequest
 */
export interface RolesApiApiRolesIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof RolesApiApiRolesIdDelete
     */
    readonly id: string
}

/**
 * Request parameters for apiRolesIdGet operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesIdGetRequest
 */
export interface RolesApiApiRolesIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof RolesApiApiRolesIdGet
     */
    readonly id: string
}

/**
 * Request parameters for apiRolesIdUsersGet operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesIdUsersGetRequest
 */
export interface RolesApiApiRolesIdUsersGetRequest {
    /**
     * 
     * @type {string}
     * @memberof RolesApiApiRolesIdUsersGet
     */
    readonly id: string

    /**
     * 
     * @type {string}
     * @memberof RolesApiApiRolesIdUsersGet
     */
    readonly searchText?: string

    /**
     * 
     * @type {number}
     * @memberof RolesApiApiRolesIdUsersGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof RolesApiApiRolesIdUsersGet
     */
    readonly pageSize?: number
}

/**
 * Request parameters for apiRolesPost operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesPostRequest
 */
export interface RolesApiApiRolesPostRequest {
    /**
     * 
     * @type {IdentityRoleDto}
     * @memberof RolesApiApiRolesPost
     */
    readonly identityRoleDto?: IdentityRoleDto
}

/**
 * Request parameters for apiRolesPut operation in RolesApi.
 * @export
 * @interface RolesApiApiRolesPutRequest
 */
export interface RolesApiApiRolesPutRequest {
    /**
     * 
     * @type {IdentityRoleDto}
     * @memberof RolesApiApiRolesPut
     */
    readonly identityRoleDto?: IdentityRoleDto
}

/**
 * RolesApi - object-oriented interface
 * @export
 * @class RolesApi
 * @extends {BaseAPI}
 */
export class RolesApi extends BaseAPI {
    /**
     * 
     * @param {RolesApiApiRolesClaimsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesClaimsPost(requestParameters: RolesApiApiRolesClaimsPostRequest = {}, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesClaimsPost(requestParameters.stringRoleClaimApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {RolesApiApiRolesClaimsPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesClaimsPut(requestParameters: RolesApiApiRolesClaimsPutRequest = {}, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesClaimsPut(requestParameters.stringRoleClaimApiDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {RolesApiApiRolesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesGet(requestParameters: RolesApiApiRolesGetRequest = {}, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesGet(requestParameters.searchText, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {RolesApiApiRolesIdClaimsDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesIdClaimsDelete(requestParameters: RolesApiApiRolesIdClaimsDeleteRequest, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesIdClaimsDelete(requestParameters.id, requestParameters.claimId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {RolesApiApiRolesIdClaimsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesIdClaimsGet(requestParameters: RolesApiApiRolesIdClaimsGetRequest, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesIdClaimsGet(requestParameters.id, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {RolesApiApiRolesIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesIdDelete(requestParameters: RolesApiApiRolesIdDeleteRequest, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesIdDelete(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {RolesApiApiRolesIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesIdGet(requestParameters: RolesApiApiRolesIdGetRequest, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesIdGet(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {RolesApiApiRolesIdUsersGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesIdUsersGet(requestParameters: RolesApiApiRolesIdUsersGetRequest, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesIdUsersGet(requestParameters.id, requestParameters.searchText, requestParameters.page, requestParameters.pageSize, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {RolesApiApiRolesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesPost(requestParameters: RolesApiApiRolesPostRequest = {}, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesPost(requestParameters.identityRoleDto, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {RolesApiApiRolesPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RolesApi
     */
    public apiRolesPut(requestParameters: RolesApiApiRolesPutRequest = {}, options?: AxiosRequestConfig) {
        return RolesApiFp(this.configuration).apiRolesPut(requestParameters.identityRoleDto, options).then((request) => request(this.axios, this.basePath));
    }
}
